# $Id: gtkdialog.spec.in,v 1.2 2004/11/22 06:36:20 pipas Exp pipas $
#
# Copyright (c) 2003 Pere Laszlo pipas@linux.pte.hu
#
%define name gtkdialog
%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest


Name:           %{name}3
Summary:        GUI creation tool for shells and arbitrary interpreters. 
Version:        0.7.20
Release:        %mkrel 1
Source:         %{name}-%{version}.tar.bz2
License:        GPL GNU
Group:          Application/Misc
URL:            ftp://linux.pte.hu/pub/gtkdialog/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgtk+2.0-devel


%description
The gtkdialog is uses an XML like simple language as a GUI description
language to produce dialog boxes. The program can be used with shells
and arbitrary interpreters. Example programs included for BASH and AWK.


%prep
%setup -q


%build
%configure
make


rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall


%{?__os_install_post}
%define __os_install_post %{nil}

# build the file list automagically into %{manifest}

cd $RPM_BUILD_ROOT
rm -f %{manifest}
find . -type d \
        | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> %{manifest}
find . -type f \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}
find . -type l \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}


%clean
rm -f %{manifest}
rm -rf $RPM_BUILD_ROOT


%files -f %{manifest}
%defattr(-,root,root)
%doc README TODO examples


%changelog
* Sat Jul 17 2010 Jens Ornot <rpm@mandrivauser.de> 0.7.20-1mud2010.1
- rebuild for x86_64 arch - Mandrivalinux 2010.1

* Sat Dec 05 2009 tigger-gg <rpm@mandrivauser.de> 0.7.20-1mud2010.0
- initial package for Mandriva 2010.0 based on a Laszlo Pere spec

